Subject: RE: Why MINGW32-EGCC compiled programs so big in size?
From: [email-masked] (Sergey Okhapkin)

26 Jun 1998 23:21:38 -0700
Message-ID: <01BDA143.7CEEFDC0.cygnus.gnu-win32@sos>
To: "\"GNU-Win32\"" <[email-masked]>,
        "'Andrey I. Iliev'"
	 <[email-masked]>

Andrey I. Iliev wrote:
> <<File: ATT00000.txt>>
> I build some program (source.cpp) using 3 different compilers. 
> Here is file size of executables : 
> 1) VC5                                68096
> 2) BCC 5.02                      69632
> 3) Cygnus b19                   23746
> 4) MINGW32-EGCC      176149 !!!
> 5) MINGW32-GCC           26046
> 
> Can anybody explain why  MINGW32-EGCC produce so big executable?
>  I feel it's probably because MINGW32-EGCC  link statically some libs?
> What libs and why?
> 
> All executables has been compiled with default options: 
> GNU GCC: gcc -o source.exe source.cpp

Try "gcc -s -o source.exe source.cpp"

What sizes will you have?

-- 
Sergey Okhapkin, http://www.lexa.ru/sos
Moscow, Russia

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".